#!/bin/bash


hostname=$(hostname)


if [[ "isc17" == ${hostname:0:5} ]]; then
    echo "Loading ISC17 configuration"
    export MODULEPATH=/esfs/jtacquaviva/software/modules:$MODULEPATH
    module purge
    module load ddn/mvapich/3.1.4
    module load betke/hdf5/1.8.20-ddn
    module load betke/ior/git-ddn
    module list
    export TD="/esfs/jtacquaviva"
    export WD="/esfs/jtacquaviva/git/ime-evaluation"
elif [[ "m" == ${hostname:0:1} ]]; then
    echo "Loading Mistral configuration"
    . /sw/rhel6-x64/tcl/modules-3.2.10/Modules/3.2.10/init/sh
    export MODULEPATH=$MODULEPATH:/work/ku0598/k202107/software/modules
    module purge
    module load intel/18.0.2
    module load fca/2.5.2431
    module load mxm/3.4.3082
    module load bullxmpi_mlx_mt/bullxmpi_mlx_mt-1.2.9.2
    module load k202107/hdf5/1.10.4
    module load k202107/ior/git-20181108
    module list
    export TD="/mnt/lustre01/work/ku0598/k202107/git/ddn-ime-evaluation/benchmark/wd"
    export WD="/mnt/lustre01/work/ku0598/k202107/git/ddn-ime-evaluation/benchmark"
else
    echo "Cluster $hostname is not supported. Quitting."
    exit 1
fi
    

#TYPE_ARR=( "read" "write" )
TYPE_ARR=( "write" )
#API_ARR=( "MPIIO" "POSIX")
API_ARR=( "POSIX")
#NN_ARR=( 1 2 4 8 16)
NN_ARR=( 1 )
#PPN_ARR=( 8 4 1 )
PPN_ARR=( 8 )
#T_ARR=( $((10*1024*1024)) $((1*1024*1024)) $((100*1024)) $((16*1024)) )
T_ARR=( $((10*1024*1024)) )

export IOR="$(which ior)"
export MPIEXEC="$(which mpiexec)"

type ior >/dev/null 2>&1     && echo "Found $IOR" || { echo >&2 "I require ior but it's not installed.  Aborting."; exit 1; }
type mpiexec >/dev/null 2>&1 && echo "Found $MPIEXEC" || { echo >&2 "I require mpiexec but it's not installed.  Aborting."; exit 1; } 
